import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 950;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;

const eyeOffsetX = 90;
const eyeOffsetY = 50;
const lipOffsetX = 80;
const lipOffsetY = -20;
const eyeBroOffsetX = 90;
const eyeBroOffsetY = -120;

const eyeRadius = 40;
const mouthWidth = 20;
const mouthRadius = 140;
const mouthLipRadius =20;
const mouthLipWidth = 7;


const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI / 2)
  .endAngle(Math.PI * 3 / 2);

const mouthLipArc = arc()
  .innerRadius(mouthLipRadius)
  .outerRadius(mouthLipRadius + mouthLipWidth)
  .startAngle(Math.PI*9/7)
  .endAngle(Math.PI *5/7);
const eyeBroArc = arc()
  .innerRadius(mouthLipRadius+30)
  .outerRadius(mouthLipRadius +27+ mouthLipWidth)
  .startAngle(Math.PI*-0.4)
  .endAngle(Math.PI*0.4);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
      <circle
        fill="white"
        cx={-eyeOffsetX+5}
        cy={-eyeOffsetY}
        r="30"
      />
      <circle
        
        cx={-eyeOffsetX+20}
        cy={-eyeOffsetY}
        r="12"
      />
      <circle
        cx={eyeOffsetX+5}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
      <circle
        fill="white"
        cx={eyeOffsetX+10}
        cy={-eyeOffsetY}
        r="30"
      />
      <circle
        
        cx={eyeOffsetX+25}
        cy={-eyeOffsetY}
        r="12"
      />
       <line
        x1={-200}
        y1={-235}
        x2={-120}
        y2={-210}
        stroke = "black"
        stroke-width = '15'
      />
      <line
        x1={200}
        y1={-235}
        x2={120}
        y2={-210}
        stroke = "black"
        stroke-width = '15'
      />
        <line
        x1={-200}
        y1={-240}
        x2={-200}
        y2={-140}
        stroke = "black"
        stroke-width = '15'
      />
      <line
        x1={200}
        y1={-240}
        x2={200}
        y2={-140}
        stroke = "black"
        stroke-width = '15'
      />
      <circle fill="red" r="40"/>
      <path transform={`translate(${lipOffsetX},${lipOffsetY})`}
        d={mouthLipArc()}/>
     
      <path transform={`translate(${-lipOffsetX},${lipOffsetY})`}
        d={mouthLipArc()}/>
      <path transform={`translate(${-eyeBroOffsetX},${eyeBroOffsetY})`}
        d={eyeBroArc()}/>
       <path transform={`translate(${eyeBroOffsetX},${eyeBroOffsetY})`}
        d={eyeBroArc()}/>
     
      <path d={mouthArc()}/>
         <path d="M 0 -190 l 0 -100 m -25 95 l -40 -80 m 130 0 l -40 85"
        stroke="black"
        stroke-width={strokeWidth/2}
        /> 
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
